version: '3.7'
services:
  app:
    image: tickets
    build: .
    ports:
      - '8080:8080'
      - '9999:9999'
    environment:
      - JDBC_URL=jdbc:postgresql://db:5432/db?user=app&password=pass
    depends_on:
      - db
  db:
    image: postgres:14-alpine
    ports:
      - '5432:5432'
    environment:
      - POSTGRES_DB=db
      - POSTGRES_USER=app
      - POSTGRES_PASSWORD=pass
    volumes:
      - ./docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d:ro
